<?php
/**
 * @package		Joomla.Plugin
 * @subpackage	System.Jblibrary
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @version		2.1.5-beta3
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.path');
$definesPath = JPATH_ROOT . '/plugins/system/jblibrary/';
if (version_compare(JVERSION, '2.5', '>='))
{
	$definesPath .= 'jblibrary/includes';
}
else
{
	$definesPath .= 'includes/';
}
require_once JPath::clean($definesPath . '/defines.php');

JLoader::import('zen.form.element.adminassets', JBLIBRARY_INCLUDES_PATH);

/**
 * Form Field class to inject Javascript into JBLibrary Plugin admin form.
 *
 * @since 1.6.0
 */

class JElementAdminassets extends ZenFormElementAdminassets
{
	public function fetchElement($name, $value, &$node, $control_name)
	{
		parent::fetchElement($name, $value, &$node, $control_name);

		$doc = JFactory::getDocument();
		$doc->addScript(JURI::root(true) . '/media/plg_jblibrary/js/admin/config-scripts.j15.js');

		return '';
	}
}
