<?php
/**
 * @package		Joomla.Plugin
 * @subpackage	System.Jblibrary
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @version		2.1.5-beta3
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.path');
$definesPath = JPATH_ROOT . '/plugins/system/jblibrary/';
if (version_compare(JVERSION, '2.5', '>='))
{
	$definesPath .= 'jblibrary/includes';
}
else
{
	$definesPath .= 'includes/';
}
require_once JPath::clean($definesPath . '/defines.php');

JLoader::import('zen.form.field.adminassets', JBLIBRARY_INCLUDES_PATH);

class JFormFieldAdminassets extends ZenFormFieldAdminassets
{
	/**
	 * Method to get the field input.
	 *
	 * @return	string		The field input.
	 * @since	2.0.3
	 */
	public function getInput()
	{
		parent::getInput();

		$doc = JFactory::getDocument();
		$doc->addScript(JURI::root(true) . '/media/plg_jblibrary/js/admin/config-scripts.js');

		return '';
	}
}
