<?php
/**
 * @package		Joomla.Plugin
 * @subpackage	System.Jblibrary
 * @author		Joomla Bamboo - design@joomlabamboo.com
 * @copyright 	Copyright (c) 2013 Joomla Bamboo. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @version		2.1.5-beta3
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

JLoader::import('zen.addon.base', JBLIBRARY_INCLUDES_PATH);

class ZenAddonLazyloadimages extends ZenAddonBase
{
	public static function getScriptFile()
	{
		return JBLIBRARY_MEDIA_URI . 'js/addons/jquery-lazyload.min.js';
	}

	public static function getScript($selector = 'img')
	{
		return '
			jQuery(document).ready(function() {
				jQuery("' . $selector . '").lazyload({
					effect : "fadeIn",
					data_attribute: "data-lazyload-original"
				});
			});
		';
	}
}
